## libselinux 2.8.1

=== debian/changelog ===
libselinux (2.8.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: cf7210d0e6035d0448497cdf724133b35949003e']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:57:46 +0000
