=== debian/changelog ===
libselinux (2.8.1.7-1+dde) unstable; urgency=medium

  * fix: update version for sw64 missiong push to 1050u3.

 -- zhangya <zhangya@uniontech.com>  Thu, 20 Oct 2022 09:42:58 +0800

libselinux (2.8.1.6-1+dde) unstable; urgency=medium

  * feat: add write audit log from userspace 

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 09 Sep 2022 22:42:58 +0800

libselinux (2.8.1.5-1+dde) unstable; urgency=medium

  * add file audit status interface and tool.

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 08 Sep 2022 17:42:51 +0800

libselinux (2.8.1.4-1+dde) unstable; urgency=medium

  * feat: add interface bus need to know where avc is enabled.

 -- zhoupeng <zhoupeng@uniontech.com>  Sat, 20 Aug 2022 11:05:23 +0800

libselinux (2.8.1.3-1+dde) unstable; urgency=medium

  * ignore_iattr_when_restorecon

 -- jianghao <jianghao@uniontech.com>  Sat, 30 Jul 2022 01:34:12 +0800

libselinux (2.8.1.2-1+dde) unstable; urgency=medium

  * Add selinux extend sid2 for socket connection.

 -- zhoupeng <zhoupeng@uniontech.com>  Wed, 20 Jul 2022 03:45:23 +0000

libselinux (2.8.1.1-1+dde) unstable; urgency=medium

  * Port to sw64

 -- deepin/sw64 team <sunway@deepin.com>  Sun, 14 Feb 2021 03:45:23 +0000
