## libselinux 2.9

=== debian/changelog ===
libselinux (2.9-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: Mark ruby-selinux as Multi-Arch: same

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Jul 2019 11:50:04 +0200

libselinux (2.9-1) experimental; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release
    - Bump libsepol1-dev build-dependency to >= 2.9 to match the release
  * debian/ruby.mk: Do not override RUBYLIBS anymore, upstream build system
    seems to do the right thing now
  * debian/control: Bump Standards-Version to 4.3.0 (no further changes)
  * debian/watch: Adjust the URL
  * debian/selinux-utils.install: Install manpages in Russian
  * debian/libselinux1.symbols: Add new exported symbol
  * debian/patches/python_nodefs.patch: Do not FTBFS if we have missing
    symbols because we are not linking against the libpython

  [ Michael Biebl ]
  * Build against PCRE2. (Closes: #913921, LP: #1792544)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 17 Mar 2019 20:22:24 +0100
