=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 10),
                dh-python <!nopython>,
                file,
                gem2deb (>= 0.5.0~) <!noruby>,
-               libsepol1-dev (>= 2.8),
-               libpcre3-dev,
+               libsepol1-dev (>= 2.9),
+               libpcre2-dev,
                pkg-config,
                python-all-dev (>= 2.6.6-3~) <!nopython>,
                python3-all-dev <!nopython>,
@@ -61,8 +61,8 @@
 Package: libselinux1-dev
 Architecture: linux-any
 Depends: libselinux1 (= ${binary:Version}),
-         libsepol1-dev (>= 2.8),
-         libpcre3-dev,
+         libsepol1-dev (>= 2.9),
+         libpcre2-dev,
          ${misc:Depends}
 Section: libdevel
 Multi-Arch: same
@@ -107,6 +107,7 @@
 Architecture: linux-any
 Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
 Section: ruby
+Multi-Arch: same
 Build-Profiles: <!noruby>
 Description: Ruby bindings to SELinux shared libraries
  This package provides the Ruby bindings needed for developing Ruby
