=== debian/rules ===
--- 
+++ 
@@ -53,6 +53,7 @@
 extra_make_args = ARCH=$(DEB_HOST_GNU_CPU)
 extra_make_args += CC=$(DEB_HOST_GNU_TYPE)-gcc
 extra_make_args += PKG_CONFIG=$(PKG_CONFIG)
+extra_make_args += USE_PCRE2=y
 override_dh_auto_build: FORCE
 	+$(MAKE) $(extra_make_args) all
