## libselinux 3.0

=== debian/changelog ===
libselinux (3.0-1) unstable; urgency=medium

  * New upstream release
    - Bump libsepol1-dev build-dependency to >= 3.0 to match the release
    - debian/libselinux1.symbols: Add newly exported symbols
    - Drop d/p/python_nodefs.patch, not needed anymore and add
      d/p/python_install-layout.patch to fix the installation layout for debian
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * Bump debhelper compatibility to 12

 -- Laurent Bigonville <bigon@debian.org>  Wed, 11 Dec 2019 14:38:39 +0100

libselinux (2.9-3) unstable; urgency=medium

  * Drop the python2 package (Closes: #936918)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 12 Nov 2019 10:42:53 +0100
