=== debian/control ===
--- 
+++ 
@@ -6,15 +6,14 @@
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 10),
+Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 12),
                dh-python <!nopython>,
                file,
                gem2deb (>= 0.5.0~) <!noruby>,
-               libsepol1-dev (>= 2.9),
+               libsepol1-dev (>= 3.0),
                libpcre2-dev,
                pkg-config,
-               python-all-dev (>= 2.6.6-3~) <!nopython>,
                python3-all-dev <!nopython>,
                swig <!nopython> <!noruby>
 XS-Ruby-Versions: all
@@ -61,7 +60,7 @@
 Package: libselinux1-dev
 Architecture: linux-any
 Depends: libselinux1 (= ${binary:Version}),
-         libsepol1-dev (>= 2.9),
+         libsepol1-dev (>= 3.0),
          libpcre2-dev,
          ${misc:Depends}
 Section: libdevel
@@ -121,26 +120,6 @@
  policies, including those based on the concepts of Type Enforcement,
  Role-based Access Control, and Multi-level Security.
 
-Package: python-selinux
-Architecture: linux-any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Built-Using: ${Built-Using}
-Section: python
-Provides: ${python:Provides}
-Build-Profiles: <!nopython>
-Description: Python bindings to SELinux shared libraries
- This package provides the Python bindings needed for developing Python
- SELinux applications.
- .
- Security-enhanced Linux is a patch of the Linux kernel and a number
- of utilities with enhanced security functionality designed to add mandatory
- access controls to Linux. The Security-enhanced Linux kernel contains
- new architectural components originally developed to improve the security
- of the Flask operating system. These architectural components provide
- general support for the enforcement of many kinds of mandatory access
- control policies, including those based on the concepts of Type Enforcement,
- Role-based Access Control, and Multi-level Security.
-
 Package: python3-selinux
 Architecture: linux-any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
