=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,6 @@
 ## By default, pass everything through debhelper automatically
 export DH_OPTIONS
 DH_ADDONS =
-ifneq ($(filter python-selinux,$(DOPACKAGES)),)
-DH_ADDONS += --with=python2
-endif
 ifneq ($(filter python3-selinux,$(DOPACKAGES)),)
 DH_ADDONS += --with=python3
 endif
@@ -67,7 +64,7 @@
 
 override_dh_auto_install: FORCE
 	+$(MAKE) $(extra_install_args) install
-ifneq ($(filter python-selinux python3-selinux,$(DOPACKAGES)),)
+ifneq ($(filter python3-selinux,$(DOPACKAGES)),)
 	+$(MAKE) $(python_extra_install_args) -f debian/python.mk
 endif
 ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
