=== debian/changelog ===
libselinux (3.1-3) unstable; urgency=medium

  [ Christian Göttsche ]
  * d/gitlab-ci.yml: Use Debian recipe
  * d/README: Drop note about ancient SELinux mount point
  * d/control: Bump debhelper compat to level 13
  * d/control: Bump Standards-Version to 4.5.1 (no further changes)
  * d/control: Update homepage
  * d/rules: Enable -Wall and -Werror
  * d/rules: Enable build hardening
  * d/control: Drop cute fields

  [ Laurent Bigonville ]
  * Do not use gettid() for Bullseye and use syscall() instead (Closes: #979970)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 09 Feb 2021 10:19:50 +0100

libselinux (3.1-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Bump libselinux1-dev dependency on libsepol1-dev to 3.1

  [ Balint Reczey ]
  * debian/libselinux1.symbols: Versioned symbols are available starting with
    3.1~ (Closes: #965136)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 16 Jul 2020 18:28:55 +0200

libselinux (3.1-1) unstable; urgency=medium

  * New upstream release
    - Bump libsepol1-dev build-dependency to >= 3.1 to match the release
  * debian/rules: Add -fno-semantic-interposition to the CFLAGS

 -- Laurent Bigonville <bigon@debian.org>  Tue, 14 Jul 2020 19:00:18 +0200

libselinux (3.1~rc1-1) experimental; urgency=medium

  [ You-Sheng Yang ]
  * ci: enable ci

  [ Laurent Bigonville ]
  * New upstream version 3.1~rc1
    - Bump libsepol1-dev build-dependency to >= 3.1~ to match the release
    - Stop patching the build system and use PYTHON_SETUP_ARGS to set the
      install-layout of the python module
    - debian/libselinux1.symbols: The symbols are now versionized, update the
      symbols accordingly. Remove the symbols that were never supposed to be
      exposed. Add new selinux_flush_class_cache() symbol.
  * DEP8: Add basic testing
  * debian/rules: Make sure that the bindings are cleanup and that we can
    build the package twice
  * Cleanup and simplify the debian/rules file
  * debian/rules: Add support to run make in parallel
  * debian/control: Set Rules-Requires-Root: no
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse

  [ Helmut Grohne ]
  * Fix clean with DEB_BUILD_PROFILES=nopython. (Closes: #946811)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 23 May 2020 12:31:19 +0200
