=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: libselinux
-VCS-Git: https://salsa.debian.org/selinux-team/libselinux.git
-VCS-Browser: https://salsa.debian.org/selinux-team/libselinux
+Vcs-Git: https://salsa.debian.org/selinux-team/libselinux.git
+Vcs-Browser: https://salsa.debian.org/selinux-team/libselinux
 Priority: optional
 Section: libs
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 4.4.1
-Build-Depends: debhelper (>= 12),
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
                dh-python <!nopython>,
                file,
                gem2deb (>= 0.5.0~) <!noruby>,
-               libsepol1-dev (>= 3.0),
+               libsepol1-dev (>= 3.1),
                libpcre2-dev,
                pkg-config,
                python3-all-dev <!nopython>,
                swig <!nopython> <!noruby>
 XS-Ruby-Versions: all
-Homepage: http://userspace.selinuxproject.org/
+Homepage: https://selinuxproject.org
+Rules-Requires-Root: no
 
 Package: selinux-utils
 Architecture: linux-any
@@ -60,7 +61,7 @@
 Package: libselinux1-dev
 Architecture: linux-any
 Depends: libselinux1 (= ${binary:Version}),
-         libsepol1-dev (>= 3.0),
+         libsepol1-dev (>= 3.1),
          libpcre2-dev,
          ${misc:Depends}
 Section: libdevel
