## libselinux 3.3

=== debian/changelog ===
libselinux (3.3-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:27:32 +0000

libselinux (3.3-1build1) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 12:58:34 -0300

libselinux (3.3-1) unstable; urgency=medium

  * New upstream version 3.3 (Closes: #989748)
    - Bump libsepol-dev build-dependency to >= 3.3 to match the release
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 08 Nov 2021 09:33:49 +0100

libselinux (3.2-1) experimental; urgency=medium

  * New upstream release
    - Bump libsepol-dev build-dependency to >= 3.2 to match the release
  * debian/watch: Update the URL to follow the new tagging format
  * Drop debian/patches/drop-gettid.patch, not needed anymore

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 Apr 2021 13:22:00 +0200
