=== debian/changelog ===
libselinux (3.4-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release
    - Bump libsepol-dev build-dependency to >= 3.4 to match the release
    - debian/libselinux1.symbols: Add newly exported symbols
  * Enable GPG key validation of the upstream tarball

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on gem2deb.

 -- Laurent Bigonville <bigon@debian.org>  Sat, 04 Jun 2022 12:41:40 +0200
