=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python <!nopython>,
                file,
-               gem2deb (>= 0.5.0~) <!noruby>,
-               libsepol-dev (>= 3.3),
+               gem2deb <!noruby>,
+               libsepol-dev (>= 3.4),
                libpcre2-dev,
                pkg-config,
                python3-all-dev <!nopython>,
@@ -61,7 +61,7 @@
 Package: libselinux1-dev
 Architecture: linux-any
 Depends: libselinux1 (= ${binary:Version}),
-         libsepol-dev (>= 3.3),
+         libsepol-dev (>= 3.4),
          libpcre2-dev,
          ${misc:Depends}
 Section: libdevel
