## libselinux 3.5

=== debian/changelog ===
libselinux (3.5-2ubuntu2.1) noble; urgency=medium

  * SRU: LP: #2083480: No-change rebuild to disable frame pointers on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 14:40:52 +0200

libselinux (3.5-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:58:14 +0000

libselinux (3.5-2ubuntu1) noble; urgency=medium

  [ Steve Langasek ]
  * debian/patches/lfs-compat.patch: always build for LFS mode on 32-bit
    archs.  Closes: #1063329.
  * debian/rules: also explicitly pass DEB_BUILD_MAINT_OPTIONS=abi=+lfs
    unconditionally, as we clobber all of the upstream cflags
  * debian/rules: fix cppflags handling which evidently prevented any
    DEB_BUILD_MAINT_OPTIONS settings from applying
  * debian/libselinux1.symbols: also document the added symbol.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 20 Mar 2024 13:45:37 +1300

libselinux (3.5-2build3) noble; urgency=medium

  * No-change rebuild to build with python3.12 only.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 23:36:35 +0100

libselinux (3.5-2build2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 01:40:02 -0300

libselinux (3.5-2build1) noble; urgency=medium

  * No-change upload to add support for ruby3.2.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 01 Feb 2024 23:01:44 -0300

libselinux (3.5-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Move libselinux into /usr (Closes: #914247)

  [ Laurent Bigonville ]
  * debian/libselinux1.tmpfiles: claim /run/setrans directory.
    Thanks to Christian Göttsche, Michael Biebl (Closes: #1029095)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 24 Jan 2024 21:23:37 +0100

libselinux (3.5-1) unstable; urgency=medium

  [ Laurent Bigonville ]
  * New upstream release
    - debian/control: Add python3-setuptools and python3-pip to the BD
    - Bump libsepol-dev (build-)dependency to >= 3.5 to match the release
    - debian/libselinux1.symbols: Add newly exported symbols
  * debian/upstream/signing-key.asc: Add public key of Jason Zaman
  * debian/rules: Properly set the install layout for the python module
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)
  * debian/control: Drop dependency against ruby | ruby-interpreter, to please
    lintian

  [ Helmut Grohne ]
  * Fix FTCBFS: Support cross building python and ruby extensions.
    (Closes: #1022964)
  * Support the noudeb build profile. (Closes: #1024948)

  [ Bastian Germann ]
  * Fix "Inaccurate copyright file" (Closes: #1031678)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 09 Jul 2023 23:50:22 +0200
