=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,20 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=+lfs
 
 include /usr/share/dpkg/architecture.mk
 # for cross compilation
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 export CC := $(DEB_HOST_GNU_TYPE)-gcc
 export PKG_CONFIG := $(DEB_HOST_GNU_TYPE)-pkg-config
+export _PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata__$(DEB_HOST_MULTIARCH)
+define ruby_env
+  RUBYLIB=/usr/lib/$(DEB_HOST_MULTIARCH)/ruby-crossbuild/$$($(1) -e "puts RbConfig::CONFIG['ruby_version']")
+endef
+else
+define ruby_env
+endef
 endif
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -25,20 +32,17 @@
 export DEB_CFLAGS_MAINT_APPEND = -fno-semantic-interposition
 ## The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
 ## missing (hardening) flags. Also enable Wall and Wextra to spot basic irregularities.
-export DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS) -Wall -Wextra
+export DEB_CFLAGS_MAINT_APPEND += $(shell env DEB_BUILD_MAINT_OPTIONS="$(DEB_BUILD_MAINT_OPTIONS)" dpkg-buildflags --get CPPFLAGS) -Wall -Wextra
 
-DH_ADDONS =
 ifneq ($(filter python3-selinux,$(DOPACKAGES)),)
 PY3VERSIONS = $(shell py3versions -rv)
-DH_ADDONS += --with=python3
 endif
 ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
 RUBY_VERSIONS := $(shell dh_ruby --print-supported)
-DH_ADDONS += --with=ruby
 endif
 
 %:
-	@dh $@ $(DH_ADDONS)
+	@dh $@
 
 ## Set up some variables to be passed to the upstream Makefile
 extra_make_args = ARCH=$(patsubst i%86,i386,$(DEB_HOST_GNU_CPU))
@@ -52,6 +56,7 @@
 endif
 ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
 	set -e; for version in $(RUBY_VERSIONS); do      \
+	  $(call ruby_env,$$version) \
 	  $(MAKE) rubywrap $(extra_make_args) RUBY=$$version; \
 	done;
 endif
@@ -59,14 +64,15 @@
 override_dh_auto_install:
 	$(MAKE) install $(extra_make_args) DESTDIR="${CURDIR}/debian/tmp" \
 	  LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
-	  SHLIBDIR=/lib/$(DEB_HOST_MULTIARCH)
+	  SHLIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
 ifneq ($(filter python3-selinux,$(DOPACKAGES)),)
 	set -e; for version in $(PY3VERSIONS); do \
-	  $(MAKE) install-pywrap $(extra_make_args) PYTHON=python$$version DESTDIR="${CURDIR}/debian/tmp" PYTHON_SETUP_ARGS=--install-layout=deb; \
+	  $(MAKE) install-pywrap $(extra_make_args) PYTHON=python$$version DESTDIR="${CURDIR}/debian/tmp" DEB_PYTHON_INSTALL_LAYOUT=deb; \
 	done;
 endif
 ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
 	set -e; for version in $(RUBY_VERSIONS); do \
+	  $(call ruby_env,$$version) \
 	  $(MAKE) install-rubywrap $(extra_make_args) RUBY=$$version DESTDIR="${CURDIR}/debian/tmp"; \
 	done;
 endif
@@ -80,6 +86,7 @@
 endif
 ifneq ($(filter ruby-selinux,$(DOPACKAGES)),)
 	set -e; for version in $(RUBY_VERSIONS); do      \
+	  $(call ruby_env,$$version) \
 	  $(MAKE) clean-rubywrap $(extra_make_args) RUBY=$$version; \
 	done;
 endif
